Subject: bug#2694 closed by Chong Yidong <[email-masked]> (Re: 23.0.91; C-p does not move point beyond the selective-display ellipses)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 19 Mar 2009 03:10:05 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#2694: 23.0.91; C-p does not move point beyond the selective-display ellipses

It has been closed by Chong Yidong <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Chong Yidong <[email-masked]> by
replying to this email.

-- 
2694: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2694
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: 23.0.91; C-p does not move point beyond the selective-display ellipses
From: Chong Yidong <[email-masked]>
To: Daiki Ueno <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Mar 2009 23:04:25 -0400

> (let ((buffer (generate-new-buffer "*test*")))
>   (pop-to-buffer buffer)
>   (setq visual-line-mode nil
>   selective-display t
>   truncate-lines t)
>   (insert "A\n"
>     (make-string (/ (window-width) 2) ?B) "\r"
>       (make-string (/ (window-width) 2) ?C) "\n")
>   (end-of-line 0))
>
> Your cursor will be placed at the end of line 2 (after "...").  Then
> even if you type C-p (previous-line) several times, the cursor stays at
> the same position.

I've checked in a fix.

This fix consists of reverting a change to the vertical-motion code made
in 2005.  I don't know the rationale for that change---the comments say
it's for dealing with selective-display, but it gives rise to the bug
you reported, and reverting it does not seem to cause any problems.
However, my tests are not conclusive, so if you could do some further
testing to make sure I did not reintroduce any problems, I'd appreciate
it.  Thanks.

Subject: 23.0.91; C-p does not move point beyond the selective-display ellipses
From: Daiki Ueno <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 17 Mar 2009 13:08:46 +0900

Hi,

Run with emacs -Q and try the following expression in the scratch
buffer:

(let ((buffer (generate-new-buffer "*test*")))
  (pop-to-buffer buffer)
  (setq visual-line-mode nil
	selective-display t
	truncate-lines t)
  (insert "A\n"
	  (make-string (/ (window-width) 2) ?B) "\r"
	  (make-string (/ (window-width) 2) ?C) "\n")
  (end-of-line 0))

Your cursor will be placed at the end of line 2 (after "...").  Then
even if you type C-p (previous-line) several times, the cursor stays at
the same position.

In GNU Emacs 23.0.91.1 (i486-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2009-03-01 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090228-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.91/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.91/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Group

Minor modes in effect:
  gnus-topic-mode: t
  gnus-undo-mode: t
  which-function-mode: t
  icomplete-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<escape> x g n u s SPC n o SPC SPC <return> y L <escape> 
x r e p o r <tab> <tab> <return>

Recent messages:
Loading /home/ueno/.skk-cus...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Saving file /home/ueno/.newsrc-dribble...
Wrote /home/ueno/.newsrc-dribble
Gnus auto-save file exists.  Do you want to read it? (y or n) 
Reading /home/ueno/.newsrc.eld...
Ignoring disappeared server `nnimap'
Checking new news...done
Scanning for dabbrevs...100%

-- 
Daiki Ueno